import '@/assets/stylus/index.styl'
import { createApp } from 'vue'
import App from './App.vue'
import { Settings } from 'luxon'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'
// import print from 'vue3-print-nb'
// import Ws from '@/common/ws/ws.ts'
import element from '@/common/element/element.ts'
import router from '@/common/router'
import Nav from '@/common/router/nav.ts'

createApp(App)
  .use(element)
  // .use(print)
  // .use(Ws)
  .use(() => {
    Settings.defaultZone = 'Asia/Shanghai'
    Settings.defaultLocale = 'zh-CN'
  })
  .use(createPinia().use(piniaPluginPersistedstate))
  .use(router)
  .use(Nav)
  .mount('#app')
